Loading...
Searching...
No Matches
ansi.h File Reference
`#include <cstdlib>`
`#include <string>`
`#include <unistd.h>`
Include dependency graph for ansi.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | fourdst::config::utils::ANSIColor

## Namespaces

namespace | fourdst
namespace | fourdst::config
namespace | fourdst::config::utils

## Macros

#define | ISATTY isatty
#define | FILENO fileno

## Functions

bool | fourdst::config::utils::supports_ansi_colors ()

## Variables

const bool | fourdst::config::utils::TERM_COLOR_SUPPORT = supports_ansi_colors()
ANSIColor | fourdst::config::utils::RED {"\033[31m"}
ANSIColor | fourdst::config::utils::GREEN {"\033[32m"}
ANSIColor | fourdst::config::utils::BLUE {"\033[34m"}
ANSIColor | fourdst::config::utils::CYAN {"\033[36m"}
ANSIColor | fourdst::config::utils::RESET {"\033[0m"}

## Macro Definition Documentation

## FILENO

#define FILENO fileno

## ISATTY

#define ISATTY isatty